> For the complete documentation index, see [llms.txt](https://docs.wproofreader.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos.md).

# How-tos

- [Custom insertText event](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos/custom-inserttext-event.md)
- [Disabling WProofreader in source mode of WYSIWYG editors](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos/disabling-wproofreader-in-source-mode-of-wysiwyg-editors.md)
- [How to add on-click listener to the badge?](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos/how-to-add-on-click-listener-to-the-badge.md)
- [How to customize the look and feel of WProofreader?](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos/how-to-customize-the-look-and-feel-of-wproofreader.md)
- [How to destroy WProofreader and clean all its resources in full page view of source mode in CKEditor](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos/how-to-destroy-wproofreader-and-clean-all-its-resources-in-full-page-view-of-source-mode-in-ckeditor.md)
- [How to disable the 'Proofread in dialog' mode](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos/how-to-disable-the-proofread-in-dialog-mode.md)
- [How to initialize WProofreader in several text fields with different languages?](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos/how-to-initialize-wproofreader-in-several-text-fields-with-different-languages.md)
- [How to subscribe to addWordToUserDictionary and deleteWordFromUserDictionary action](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos/how-to-subscribe-to-addwordtouserdictionary-and-deletewordfromuserdictionary-action.md)
- [Replace action is not captured in CKEditor onChange event](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos/replace-action-is-not-captured-in-ckeditor-onchange-event.md)
- [Use recommendations with other writing assistance tools](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos/use-recommendations-with-other-writing-assistance-tools.md)
- [Versioning with jsDelivr](https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos/versioning-with-jsdelivr.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wproofreader.com/v6.10.0.0/integrations/how-tos.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
